Skip to content
Open app

cli.deviceStart

POST /api/v1/cli/device. No authentication. Body limit: 256 KB.

CLI 0.4.0 · MCP · API v1View as Markdown
GET /docs/reference/api/operations/clidevicestart.mdtext/markdown
POST
/api/v1/cli/device
Code sample: Shell / cURL
curl --request POST \
--url https://app.intraface.cc/api/v1/cli/device \
--header 'Content-Type: application/json' \
--data '{ "label": "example", "agent": "example" }'

No authentication. Body limit: 256 KB.

Media typeapplication/json
object
label
required
string
>= 1 characters <= 80 characters
agent
string
<= 64 characters

Example generated

{
"label": "example",
"agent": "example"
}

Success.

Media typeapplication/json
object
device_code
required
string
user_code
required
string
/^[A-Z0-9]{4}-[A-Z0-9]{4}$/
verification_uri
required
string format: uri
expires_in
required
integer
> 0 <= 9007199254740991
interval
required
integer
> 0 <= 9007199254740991

Example generated

{
"device_code": "example",
"user_code": "example",
"verification_uri": "https://example.com",
"expires_in": 1,
"interval": 1
}

Any error: see error.code.

Media typeapplication/json
object
error
required
object
code
required

A stable error code: see the error codes table in the API overview.

string
message
required
string
hint
string
details

Example generated

{
"error": {
"code": "example",
"message": "example",
"hint": "example",
"details": "example"
}
}